Bug 171184 - random plague to-do
random plague to-do
Status: CLOSED RAWHIDE
Product: Fedora Infrastructure
Classification: Retired
Component: extras buildsys (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 02:09 EDT by Dan Williams
Modified: 2007-04-18 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-18 21:50:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2005-10-19 02:09:42 EDT
/home/boston/dcbw> plague-client detail 61

Detail for Job ID 61 (sabayon):
--------------------------------------------------------------------------------
Source: sabayon-2_12_0-1
Traceback (most recent call last):
  File "/usr/bin/plague-client", line 426, in ?
    cli.dispatch(cmd, sys.argv[2:])
  File "/usr/bin/plague-client", line 372, in dispatch
    func(args)
  File "/usr/bin/plague-client", line 293, in _cmd_detail
    print "Target: %s" % jobrec['target']
KeyError: 'target'
/home/boston/dcbw>

*******************

Catch OpenSSL.SSL.Error in server/Builder.py in _building_jobs() and
_get_num_slots(), elsewhere it's needed.


*******************

1 (package): Restarting 'package-3_01-2_fc4' on target 'fedora-fc4-core'
Exception in thread Thread-7:
Traceback (most recent call last):
  File "/usr/lib/python2.4/threading.py", line 442, in __bootstrap
    self.run()
  File "/usr/share/plague/server/PackageJob.py", line 82, in run
    self._pkg_job.process()
  File "/usr/share/plague/server/PackageJob.py", line 509, in process
    if func():
  File "/usr/share/plague/server/PackageJob.py", line 377, in _stage_prep
    (self.archjobs, pkg_arches, allowed_arches) = self.arch_handling(hdr)
  File "/usr/share/plague/server/PackageJob.py", line 185, in arch_handling
    addl_arches = self._target_cfg.addl_pkg_arches()[self.name]
TypeError: list indices must be integers

**********************

Make client ignore missing allow_uploads rather than traceback.
Comment 1 Dan Williams 2005-11-18 21:50:54 EST
All fixed.

Note You need to log in before you can comment on or make changes to this bug.